Package org.gradle.api.plugins.osgi

# Class OsgiPlugin

java.lang.Object
org.gradle.api.plugins.osgi.OsgiPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class OsgiPlugin extends Object implements Plugin<Project>
A `Plugin` which extends the `JavaPlugin` to add OSGi meta-information to the project Jars.

## Constructor Summary

Constructors
Constructor
Description
`OsgiPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OsgiPlugin

public OsgiPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object